Package com.usatiuk.objects.stores

# Class MemoryObjectPersistentStore

java.lang.Object
com.usatiuk.objects.stores.MemoryObjectPersistentStore

All Implemented Interfaces:
  `ObjectPersistentStore`

@ApplicationScoped public class MemoryObjectPersistentStore extends Object implements ObjectPersistentStore

## Constructor Summary

Constructors
Constructor
Description
`MemoryObjectPersistentStore()`

## Method Summary

Modifier and Type
Method
Description
`void`
`commitTx(TxManifestRaw names, long txId)`
`long`
`getFreeSpace()`
`Snapshot<JObjectKey,ByteBuffer>`
`getSnapshot()`
`long`
`getTotalSpace()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MemoryObjectPersistentStore

public MemoryObjectPersistentStore()

## Method Details

### getSnapshot

public Snapshot<JObjectKey,ByteBuffer> getSnapshot()

Specified by:
  `getSnapshot` in interface `ObjectPersistentStore`

### commitTx

public void commitTx(TxManifestRaw names, long txId)

Specified by:
  `commitTx` in interface `ObjectPersistentStore`

### getTotalSpace

public long getTotalSpace()

Specified by:
  `getTotalSpace` in interface `ObjectPersistentStore`

### getFreeSpace

public long getFreeSpace()

Specified by:
  `getFreeSpace` in interface `ObjectPersistentStore`